#include "chdecl.h"
void CH_plumber_rmanager(current, sched, cop)
#define ARGUMENTS 12
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 5: goto c15;
    case 3: goto c17;
    case 4: goto cb17;
    case 6: goto cb19;
    case 7: goto c20;
    case 8: goto c30;
    case 9: goto c32;
    case 10: goto c34;
    case 11: goto cb36;
    case 12: goto c37;
    case 13: goto c47;
    case 14: goto c50;
    case 15: goto c53;
    case 16: goto cb55;
    case 17: goto c56;
    case 18: goto cb59;
    case 19: goto c60;
    case 20: goto c64;
    case 21: goto c66;
    case 22: goto c69;
    case 23: goto cb74;
    case 24: goto c75;
    case 25: goto cb79;
    case 26: goto c80;
    case 27: goto c84;
    case 28: goto c86;
    case 29: goto c89;
    case 30: goto c93;
    case 31: goto cb95;
    case 32: goto c96;
    case 33: goto c108;
    case 34: goto c110;
    case 35: goto c113;
    case 36: goto c115;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* new_inport 4 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val; REF(4).tsdr = & dr_inport;
/* new_inport 5 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val; REF(5).tsdr = & dr_inport;
/* new_inport 6 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).value = ch_val; REF(6).tsdr = & dr_inport;
/* new_inport 7 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_inport;
/* new_inport 8 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).value = ch_val; REF(8).tsdr = & dr_inport;
/* new_table 9 , 1 */
  if ((ch_returncode = che_new_table(DEF(9),QUAL(1),sched)) != Normal) 
     goto ch_raise_exception;
/* new_record 3.0 , 5 */
  if ((ch_val.record = new_record(5)) == nil) goto ch_depletion;
  (*(REF(3)DOT(0).tsdr)->finalize)(REF(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(0).value = ch_val; REF(3)DOT(0).tsdr = & dr_record;
/* connect 3.0.0 4 */
  if (REF(4).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(0)DOT(0).tsdr)->finalize)(REF(3)DOT(0)DOT(0).value
    ,F_DISCARD,sched);
  REF(4).value.inport->refcount++;
  REF(3)DOT(0)DOT(0).value.outport = REF(4).value.inport;
  REF(3)DOT(0)DOT(0).tsdr = & dr_outport;
/* connect 3.0.1 5 */
  if (REF(5).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(0)DOT(1).tsdr)->finalize)(REF(3)DOT(0)DOT(1).value
    ,F_DISCARD,sched);
  REF(5).value.inport->refcount++;
  REF(3)DOT(0)DOT(1).value.outport = REF(5).value.inport;
  REF(3)DOT(0)DOT(1).tsdr = & dr_outport;
/* connect 3.0.2 6 */
  if (REF(6).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(0)DOT(2).tsdr)->finalize)(REF(3)DOT(0)DOT(2).value
    ,F_DISCARD,sched);
  REF(6).value.inport->refcount++;
  REF(3)DOT(0)DOT(2).value.outport = REF(6).value.inport;
  REF(3)DOT(0)DOT(2).tsdr = & dr_outport;
/* connect 3.0.3 7 */
  if (REF(7).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(0)DOT(3).tsdr)->finalize)(REF(3)DOT(0)DOT(3).value
    ,F_DISCARD,sched);
  REF(7).value.inport->refcount++;
  REF(3)DOT(0)DOT(3).value.outport = REF(7).value.inport;
  REF(3)DOT(0)DOT(3).tsdr = & dr_outport;
/* connect 3.0.4 8 */
  if (REF(8).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(0)DOT(4).tsdr)->finalize)(REF(3)DOT(0)DOT(4).value
    ,F_DISCARD,sched);
  REF(8).value.inport->refcount++;
  REF(3)DOT(0)DOT(4).value.outport = REF(8).value.inport;
  REF(3)DOT(0)DOT(4).tsdr = & dr_outport;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
c18:
c15:
/* noop */
  
c17:
  current->ip = 4;
cb17:
/* select 4 * 5 * 6 * 7 * 8 * , 2 */
  if ((ch_returncode = che_select((
          arguments[0] = DEF(4),
          arguments[1] = NO_OBJECT,
          arguments[2] = DEF(5),
          arguments[3] = NO_OBJECT,
          arguments[4] = DEF(6),
          arguments[5] = NO_OBJECT,
          arguments[6] = DEF(7),
          arguments[7] = NO_OBJECT,
          arguments[8] = DEF(8),
          arguments[9] = NO_OBJECT,
          arguments[9+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  if (current->ip == 4) return; else COMPUTE_TARGET;
c19:
  current->ip = 6;
cb19:
/* receive 10 4 */
  if ((ch_returncode = che_receive(DEF(10),DEF(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c20:
/* block , 3 */
  if((ch_returncode = che_block(QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* new_record 11 , 4 */
  if ((ch_val.record = new_record(4)) == nil) goto ch_depletion;
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).value = ch_val; REF(11).tsdr = & dr_record;
/* copy 11.0 10.0 */
  if((ch_returncode = (REF(10)DOT(0).tsdr->copy)(& ch_val, REF(10)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(11)DOT(0).tsdr)->finalize)(REF(11)DOT(0).value,F_DISCARD,sched);
  REF(11)DOT(0).value = ch_val;
  REF(11)DOT(0).tsdr = datarepmap[REF(10)DOT(0).tsdr->number];
/* copy 11.1 10.1 */
  if((ch_returncode = (REF(10)DOT(1).tsdr->copy)(& ch_val, REF(10)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(11)DOT(1).tsdr)->finalize)(REF(11)DOT(1).value,F_DISCARD,sched);
  REF(11)DOT(1).value = ch_val;
  REF(11)DOT(1).tsdr = datarepmap[REF(10)DOT(1).tsdr->number];
/* copy 11.2 10.2 */
  if((ch_returncode = (REF(10)DOT(2).tsdr->copy)(& ch_val, REF(10)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(11)DOT(2).tsdr)->finalize)(REF(11)DOT(2).value,F_DISCARD,sched);
  REF(11)DOT(2).value = ch_val;
  REF(11)DOT(2).tsdr = datarepmap[REF(10)DOT(2).tsdr->number];
/* copy 11.3 10.3 */
  if((ch_returncode = cp_outport(& ch_val, REF(10)DOT(3).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(11)DOT(3).tsdr)->finalize)(REF(11)DOT(3).value,F_DISCARD,sched);
  REF(11)DOT(3).value = ch_val;
  REF(11)DOT(3).tsdr = & dr_outport;
/* insert 9 11 */
  if ((ch_returncode = insertfunc(DEF(9),DEF(11),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* return 10 */
  if (ch_caller = do_return(REF(10).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(10).value);
  REF(10).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 34 */
   goto c34;
c30:
/* return_exception 10 , 4 */
  if (ch_caller = do_return(REF(10).value)) {
    raise_user(QUAL(4),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(10),QUAL(4));
  REF(10).tsdr = & dr_bottom;
/* branch , 34 */
   goto c34;
c32:
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
c34:
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* branch , 15 */
   goto c15;
c36:
  current->ip = 11;
cb36:
/* receive 12 5 */
  if ((ch_returncode = che_receive(DEF(12),DEF(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c37:
/* block , 5 */
  if((ch_returncode = che_block(QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
/* new_record 11 , 4 */
  if ((ch_val.record = new_record(4)) == nil) goto ch_depletion;
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).value = ch_val; REF(11).tsdr = & dr_record;
/* copy 11.0 12.0 */
  if((ch_returncode = (REF(12)DOT(0).tsdr->copy)(& ch_val, REF(12)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(11)DOT(0).tsdr)->finalize)(REF(11)DOT(0).value,F_DISCARD,sched);
  REF(11)DOT(0).value = ch_val;
  REF(11)DOT(0).tsdr = datarepmap[REF(12)DOT(0).tsdr->number];
/* copy 11.1 12.1 */
  if((ch_returncode = (REF(12)DOT(1).tsdr->copy)(& ch_val, REF(12)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(11)DOT(1).tsdr)->finalize)(REF(11)DOT(1).value,F_DISCARD,sched);
  REF(11)DOT(1).value = ch_val;
  REF(11)DOT(1).tsdr = datarepmap[REF(12)DOT(1).tsdr->number];
/* move 11.2 12.2 */
  (*(REF(11)DOT(2).tsdr)->finalize)(REF(11)DOT(2).value,F_DISCARD,sched);
  REF(11)DOT(2) = REF(12)DOT(2);
  REF(12)DOT(2).tsdr = & dr_bottom;
/* copy 11.3 12.3 */
  if((ch_returncode = cp_outport(& ch_val, REF(12)DOT(3).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(11)DOT(3).tsdr)->finalize)(REF(11)DOT(3).value,F_DISCARD,sched);
  REF(11)DOT(3).value = ch_val;
  REF(11)DOT(3).tsdr = & dr_outport;
/* insert 9 11 */
  if ((ch_returncode = insertfunc(DEF(9),DEF(11),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* return 12 */
  if (ch_caller = do_return(REF(12).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(12).value);
  REF(12).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 53 */
   goto c53;
c47:
/* move 12.2 11.2 */
  (*(REF(12)DOT(2).tsdr)->finalize)(REF(12)DOT(2).value,F_DISCARD,sched);
  REF(12)DOT(2) = REF(11)DOT(2);
  REF(11)DOT(2).tsdr = & dr_bottom;
/* return_exception 12 , 6 */
  if (ch_caller = do_return(REF(12).value)) {
    raise_user(QUAL(6),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(12),QUAL(6));
  REF(12).tsdr = & dr_bottom;
/* branch , 53 */
   goto c53;
c50:
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* discard 12.2 */
  (*(REF(12)DOT(2).tsdr)->finalize)(REF(12)DOT(2).value,F_DISCARD,sched);
  REF(12)DOT(2).tsdr = & dr_bottom;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
c53:
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* branch , 15 */
   goto c15;
c55:
  current->ip = 16;
cb55:
/* receive 13 6 */
  if ((ch_returncode = che_receive(DEF(13),DEF(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c56:
/* block , 7 */
  if((ch_returncode = che_block(QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
/* find 14 9 13.1 , 0 */
  if (findfunc(DEF(14),DEF(9),(
          arguments[0] = DEF(13)DOT(1),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 15 14.2 */
  if((ch_returncode = (REF(14)DOT(2).tsdr->copy)(& ch_val, REF(14)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).value = ch_val;
  REF(15).tsdr = datarepmap[REF(14)DOT(2).tsdr->number];
  current->ip = 18;
cb59:
/* call 14.3 13.0 15 13.2 16 , 8 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(14)DOT(3),
          arguments[1] = DEF(13)DOT(0),
          arguments[2] = DEF(15),
          arguments[3] = DEF(13)DOT(2),
          arguments[4] = DEF(16),
          arguments[4+1] = nil,& arguments[0]),QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
  return;
c60:
/* move 13.3 16 */
  (*(REF(13)DOT(3).tsdr)->finalize)(REF(13)DOT(3).value,F_DISCARD,sched);
  REF(13)DOT(3) = REF(16);
  REF(16).tsdr = & dr_bottom;
/* return 13 */
  if (ch_caller = do_return(REF(13).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(13).value);
  REF(13).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 15 */
   goto c15;
c64:
/* return_exception 13 , 9 */
  if (ch_caller = do_return(REF(13).value)) {
    raise_user(QUAL(9),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(13),QUAL(9));
  REF(13).tsdr = & dr_bottom;
/* branch , 15 */
   goto c15;
c66:
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* return_exception 13 , 10 */
  if (ch_caller = do_return(REF(13).value)) {
    raise_user(QUAL(10),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(13),QUAL(10));
  REF(13).tsdr = & dr_bottom;
/* branch , 15 */
   goto c15;
c69:
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
/* discard 13.3 */
  (*(REF(13)DOT(3).tsdr)->finalize)(REF(13)DOT(3).value,F_DISCARD,sched);
  REF(13)DOT(3).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* branch , 15 */
   goto c15;
c74:
  current->ip = 23;
cb74:
/* receive 17 7 */
  if ((ch_returncode = che_receive(DEF(17),DEF(7),sched)) != Normal)
     goto ch_raise_exception;
  return;
c75:
/* block , 11 */
  if((ch_returncode = che_block(QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 9 */
  if (REF(9).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(9))) != Normal)
       goto ch_raise_exception;
/* find 18 9 17.1 , 0 */
  if (findfunc(DEF(18),DEF(9),(
          arguments[0] = DEF(17)DOT(1),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 11 18 9 , 0 */
  if ((ch_returncode = removefunc(DEF(11),DEF(18),DEF(9),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
  current->ip = 25;
cb79:
/* call 11.3 17.0 11.2 17.2 19 , 8 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11)DOT(3),
          arguments[1] = DEF(17)DOT(0),
          arguments[2] = DEF(11)DOT(2),
          arguments[3] = DEF(17)DOT(2),
          arguments[4] = DEF(19),
          arguments[4+1] = nil,& arguments[0]),QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
  return;
c80:
/* move 17.3 19 */
  (*(REF(17)DOT(3).tsdr)->finalize)(REF(17)DOT(3).value,F_DISCARD,sched);
  REF(17)DOT(3) = REF(19);
  REF(19).tsdr = & dr_bottom;
/* return 17 */
  if (ch_caller = do_return(REF(17).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(17).value);
  REF(17).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 93 */
   goto c93;
c84:
/* return_exception 17 , 9 */
  if (ch_caller = do_return(REF(17).value)) {
    raise_user(QUAL(9),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(17),QUAL(9));
  REF(17).tsdr = & dr_bottom;
/* branch , 93 */
   goto c93;
c86:
/* insert 9 11 */
  if ((ch_returncode = insertfunc(DEF(9),DEF(11),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* return_exception 17 , 10 */
  if (ch_caller = do_return(REF(17).value)) {
    raise_user(QUAL(10),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(17),QUAL(10));
  REF(17).tsdr = & dr_bottom;
/* branch , 93 */
   goto c93;
c89:
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* discard 17.3 */
  (*(REF(17)DOT(3).tsdr)->finalize)(REF(17)DOT(3).value,F_DISCARD,sched);
  REF(17)DOT(3).tsdr = & dr_bottom;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
c93:
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* branch , 15 */
   goto c15;
c95:
  current->ip = 31;
cb95:
/* receive 20 8 */
  if ((ch_returncode = che_receive(DEF(20),DEF(8),sched)) != Normal)
     goto ch_raise_exception;
  return;
c96:
/* block , 12 */
  if((ch_returncode = che_block(QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 9 */
  if (REF(9).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(9))) != Normal)
       goto ch_raise_exception;
/* find 21 9 20.1 , 0 */
  if (findfunc(DEF(21),DEF(9),(
          arguments[0] = DEF(20)DOT(1),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* notequal . 21.0 20.0 , 103 */
  if ( !(REF(21)DOT(0).tsdr->equal)(REF(21)DOT(0).value,REF(20)DOT(0).value) )
     goto c103;
/* fremove 11 21 9 , 0 */
  if ((ch_returncode = removefunc(DEF(11),DEF(21),DEF(9),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* branch , 104 */
   goto c104;
c103:
/* raise , 8 */
  ch_returncode = 8; goto ch_raise_exception;
c104:
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* return 20 */
  if (ch_caller = do_return(REF(20).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(20).value);
  REF(20).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 15 */
   goto c15;
c108:
/* return_exception 20 , 13 */
  if (ch_caller = do_return(REF(20).value)) {
    raise_user(QUAL(13),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(20),QUAL(13));
  REF(20).tsdr = & dr_bottom;
/* branch , 15 */
   goto c15;
c110:
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* branch , 15 */
   goto c15;
c113:
/* endblock */
  che_endblock(sched);
c115:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
